{
  pkgs,
  agenix,
  disko,
  ...
}: {
  imports = [
    ./system.nix
    agenix.nixosModules.default
    disko.nixosModules.disko

    ./404.nix
    ./acme.nix
    ./bitwarden.nix
    ./borg.nix
    ./disk-config.nix
    ./forgejo.nix
    ./keycloak.nix
    ./murmur.nix
    ./msmtp.nix
    ./upgrade.nix
    ./website.nix

    ../../users/maintainer
  ];

  age.identityPaths = ["/root/.ssh/id_agenix"];

  users = {
    mutableUsers = false;
    users.root.hashedPassword = "!";
  };

  environment.systemPackages = with pkgs; [
    git
    htop
    neovim
    tree
  ];

  services.syncthing.enable = true;
}
