{
  pkgs,
  lib,
  ...
}: {
  imports = [
    ./bash.nix
    ./cargo.nix
    ./comma.nix
    ./firefox.nix
    ./foot.nix
    ./fzf.nix
    ./git.nix
    ./gpg.nix
    ./ime.nix
    ./mako.nix
    ./nvd.nix
    ./sway.nix
  ];

  users.users.buffet = {
    isNormalUser = true;
    uid = 1000;
    hashedPassword = "$y$j9T$g/a4KaQ5VitWI9ZtAh9i3/$wjejk5W8LMc0gaVgw69kwrKLqBgZ95ekaOl/GaTOZVC";
    extraGroups = [
      "audio"
      "networkmanager"
      "sway"
      "uinput"
      "wheel"
    ];
  };

  nix.settings.trusted-users = ["buffet"];

  home-manager.users.buffet = {
    home = {
      stateVersion = "23.11";

      sessionVariables = {
        EDITOR = "${pkgs.oed}/bin/ed";
      };

      packages = with pkgs; [
        unstable.anki
        unstable.cargo
        unstable.cargo-crev
        unstable.cargo-limit
        unstable.cargo-nextest
        unstable.cargo-watch
        unstable.clippy
        unstable.logseq
        unstable.rustfmt

        alejandra
        python3
        du-dust
        element-desktop-wayland
        fd
        fx
        gdb
        github-cli
        htop
        hyperfine
        jq
        kcachegrind
        linuxPackages.perf
        man-pages
        man-pages-posix
        mosh
        mpv
        oed
        okular
        pavucontrol
        qdirstat
        radare2
        ripgrep
        rr
        statix
        strace
        tokei
        trash-cli
        tree
        unzip
        valgrind
        wget
        wl-clipboard
        zip
      ];

      pointerCursor = {
        package = pkgs.phinger-cursors;
        name = "phinger-cursors-light";
        gtk.enable = true;
      };
    };

    programs.direnv = {
      enable = true;
      nix-direnv.enable = true;
    };

    services.udiskie.enable = true;
  };
}
